## libkf5mailcommon 23.08.1

=== debian/changelog ===
libkf5mailcommon (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:30 +0100

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadimime-dev (>= 4:23.08.1~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.1~),
               libkf5grantleetheme-dev (>= 23.08.1~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 23.08.1~),
               libkf5libkdepim-dev (>= 4:23.08.1~),
               libkf5mailimporter-dev (>= 4:23.08.1~),
               libkf5mailtransport-dev (>= 23.08.1~),
               libkf5messagecomposer-dev (>= 4:23.08.1~),
               libkf5messagecore-dev (>= 4:23.08.1~),
               libkf5messagelist-dev (>= 4:23.08.1~),
               libkf5messageviewer-dev (>= 4:23.08.1~),
               libkf5mime-dev (>= 23.08.1~),
               libkf5mimetreeparser-dev (>= 4:23.08.1~),
               libkf5pimcommon-dev (>= 4:23.08.1~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:23.08.1~),
               libkf5textaddons-dev,
               libkf5webengineviewer-dev (>= 4:23.08.1~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xsltproc,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.1~),
         libkf5akonadimime-dev (>= 4:23.08.1~),
         libkf5config-dev (>= 5.31.0~),
         libkf5libkdepim-dev (>= 4:23.08.1~),
         libkf5messagecomposer-dev (>= 4:23.08.1~),
         libkf5messagecore-dev (>= 4:23.08.1~),
         libkf5messageviewer-dev (>= 4:23.08.1~),
         libkf5mimetreeparser-dev (>= 4:23.08.1~),
         libkf5pimcommon-dev (>= 4:23.08.1~),
         libkpim5mailcommon5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkpim5mailcommon5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

## libkf5mailcommon 23.08.4

=== debian/changelog ===
libkf5mailcommon (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:41 +0000

libkf5mailcommon (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:12 +0000

libkf5mailcommon (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,30 +9,30 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadimime-dev (>= 4:23.08.4~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.4~),
+               libkf5grantleetheme-dev (>= 23.08.4~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 23.08.1~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5mailimporter-dev (>= 4:23.08.1~),
-               libkf5mailtransport-dev (>= 23.08.1~),
-               libkf5messagecomposer-dev (>= 4:23.08.1~),
-               libkf5messagecore-dev (>= 4:23.08.1~),
-               libkf5messagelist-dev (>= 4:23.08.1~),
-               libkf5messageviewer-dev (>= 4:23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
-               libkf5mimetreeparser-dev (>= 4:23.08.1~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5ldap-dev (>= 23.08.4~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
+               libkf5mailimporter-dev (>= 4:23.08.4~),
+               libkf5mailtransport-dev (>= 23.08.4~),
+               libkf5messagecomposer-dev (>= 4:23.08.4~),
+               libkf5messagecore-dev (>= 4:23.08.4~),
+               libkf5messagelist-dev (>= 4:23.08.4~),
+               libkf5messageviewer-dev (>= 4:23.08.4~),
+               libkf5mime-dev (>= 23.08.4~),
+               libkf5mimetreeparser-dev (>= 4:23.08.4~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5templateparser-dev (>= 4:23.08.4~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.1~),
+               libkf5webengineviewer-dev (>= 4:23.08.4~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -50,15 +50,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadimime-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.4~),
+         libkf5akonadimime-dev (>= 4:23.08.4~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:23.08.1~),
-         libkf5messagecomposer-dev (>= 4:23.08.1~),
-         libkf5messagecore-dev (>= 4:23.08.1~),
-         libkf5messageviewer-dev (>= 4:23.08.1~),
-         libkf5mimetreeparser-dev (>= 4:23.08.1~),
-         libkf5pimcommon-dev (>= 4:23.08.1~),
+         libkf5libkdepim-dev (>= 4:23.08.4~),
+         libkf5messagecomposer-dev (>= 4:23.08.4~),
+         libkf5messagecore-dev (>= 4:23.08.4~),
+         libkf5messageviewer-dev (>= 4:23.08.4~),
+         libkf5mimetreeparser-dev (>= 4:23.08.4~),
+         libkf5pimcommon-dev (>= 4:23.08.4~),
          libkpim5mailcommon5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

## libkf5mailcommon 23.08.5

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.5")

project(mailcommon VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "5.105.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddTests)
include(ECMAddQch)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
option(BUILD_WITH_COMPAT_LIBS "Generate compat cmake file (Set at false will allow to co-install lib)" ON)

set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()

set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.24.5")
set(AKONADICONTACT_LIB_VERSION "5.24.5")
set(MESSAGELIB_LIB_VERSION "5.24.5")
set(KMIME_LIB_VERSION "5.24.5")
set(KMAILTRANSPORT_LIB_VERSION "5.24.5")
set(MAILIMPORTER_LIB_VERSION "5.24.5")
set(LIBKDEPIM_LIB_VERSION "5.24.5")
set(PIMCOMMON_LIB_VERSION "5.24.5")

set(PHONON_LIB_VERSION "4.11.1")
set(AKONADI_VERSION "5.24.5")

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Test Xml)

set(GPGMEPP_LIB_VERSION "1.16.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
    find_package(Qt6Core5Compat)
else()
    find_package(QGpgme ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

find_package(KF${KF_MAJOR_VERSION}Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim${KF_MAJOR_VERSION}Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt${QT_MAJOR_VERSION} ${PHONON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailCommonConfigVersion.cmake"
                        SOVERSION 5
)


########### Targets ###########
remove_definitions( -DQT_NO_CAST_FROM_ASCII )

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}MailCommon")
set(MAILCOMMON_KF5_COMPAT FALSE)
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}MailCommon_QCH
        FILE KPim${KF_MAJOR_VERSION}MailCommonQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}MailCommonQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailCommonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailCommonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailCommonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailCommonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim${KF_MAJOR_VERSION}MailCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim${KF_MAJOR_VERSION}MailCommonTargets.cmake NAMESPACE KPim${KF_MAJOR_VERSION}::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailCommon COMPONENT Devel
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

if (BUILD_WITH_COMPAT_LIBS)
if (QT_MAJOR_VERSION STREQUAL "5")
##
# TODO: Backwards compatiblity. Remove in next major version
##
set(CMAKECONFIG_INSTALL_DIR_KF5 "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailCommon")
set(MAILCOMMON_KF5_COMPAT TRUE)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailCommonConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR_KF5}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailCommonConfigVersion.cmake"
    RENAME "KF5MailCommonConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(EXPORT KPim${KF_MAJOR_VERSION}MailCommonTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    FILE KPim${KF_MAJOR_VERSION}MailCommonTargets.cmake
    NAMESPACE KF5::
)

if (BUILD_QCH)
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailCommonQchTargets.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
        COMPONENT Devel
    )
endif()
endif()
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

add_akonadi_isolated_test(foldertreewidgettest.cpp)
target_link_libraries(foldertreewidgettest KPim${KF_MAJOR_VERSION}::Mime KPim${KF_MAJOR_VERSION}::AkonadiWidgets KPim${KF_MAJOR_VERSION}::MailCommon)

add_akonadi_isolated_test(favoritestest.cpp)
target_link_libraries(favoritestest KPim${KF_MAJOR_VERSION}::Mime KPim${KF_MAJOR_VERSION}::AkonadiWidgets KPim${KF_MAJOR_VERSION}::MailCommon)

=== src/designer/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include(ECMAddQtDesignerPlugin)
ecm_qtdesignerplugin_widget(MailCommon::SearchPatternEdit
    INCLUDE_FILE "MailCommon/SearchPatternEdit"
    TOOLTIP "Search pattern editor (KDE-PIM)"
    WHATSTHIS "This widget is intended to be used in the filter configuration as well as in the message search dialogs."
    GROUP "Input (KDE-PIM)"
    )

ecm_add_qtdesignerplugin(mailcommonwidgets
    NAME KDEPimMailCommonWidgets
    OUTPUT_NAME mailcommon${QT_MAJOR_VERSION}widgets
    WIDGETS
    MailCommon::SearchPatternEdit
    LINK_LIBRARIES
    KPim${KF_MAJOR_VERSION}::MailCommon
    KPim${KF_MAJOR_VERSION}::Libkdepim
    KF${KF_MAJOR_VERSION}::I18n
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
    )

=== src/filter/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(mailcommon_filter_test_LIBS Qt::Test Qt::Gui KPim${KF_MAJOR_VERSION}::AkonadiCore KPim${KF_MAJOR_VERSION}::AkonadiMime
                                KPim${KF_MAJOR_VERSION}::MailCommon KPim${KF_MAJOR_VERSION}::PimCommon Phonon::phonon4qt${QT_MAJOR_VERSION}
                                KF${KF_MAJOR_VERSION}::KIOWidgets KF${KF_MAJOR_VERSION}::IconThemes KPim${KF_MAJOR_VERSION}::TemplateParser
                                KPim${KF_MAJOR_VERSION}::ContactEditor
                                KPim${KF_MAJOR_VERSION}::MailTransport KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::SyntaxHighlighting KF${KF_MAJOR_VERSION}::Codecs
)

add_definitions(-DTEST_PATH=\"${CMAKE_CURRENT_SOURCE_DIR}\")

macro(add_mailcommon_filter_test _name)
    ecm_add_test(${ARGN}
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-filter-"
        LINK_LIBRARIES ${mailcommon_filter_test_LIBS}
    )
endmacro()

macro(add_mailcommon_filter_akonadi_test _name _sources)
    set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
    add_akonadi_isolated_test_advanced(${_name} "${ARGN}" "${mailcommon_filter_test_LIBS}")
endmacro()

set(filter_common_SRCS)
ecm_qt_declare_logging_category(filter_common_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon)

add_mailcommon_filter_test(itemcontexttest
    itemcontexttest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionpipethroughtest
   filteractionpipethroughtest.cpp
   filteractionpipethroughtest.h
   ../filteractions/filteractionpipethrough.cpp
   ../filteractions/filteractionwithcommand.cpp
   ../filteractions/filteractionwithurl.cpp
   ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionheadertest
    filteractionaddheadertest.cpp
    filteractionaddheadertest.h
    ../filteractions/filteractionaddheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractiondeletetest
    filteractiondeletetest.cpp
    filteractiondeletetest.h
    ../filteractions/filteractiondelete.cpp
    ../filteractions/filteractionwithnone.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionencrypttest
    filteractionencrypttest.cpp
    filteractionencrypttest.h
    gpghelper.cpp
    ../filteractions/filteractionencrypt.cpp
    ../filteractions/filteractionwithcrypto.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractiondecrypttest
    filteractiondecrypttest.cpp
    filteractiondecrypttest.h
    gpghelper.cpp
    ../filteractions/filteractiondecrypt.cpp
    ../filteractions/filteractionwithcrypto.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionrewriteheadertest
    filteractionrewriteheadertest.cpp
    filteractionrewriteheadertest.h
    ../filteractions/filteractionrewriteheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsetstatustest
    filteractionsetstatustest.cpp
    filteractionsetstatustest.h
    ../filteractions/filteractionsetstatus.cpp
    ../filteractions/filteractionstatus.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionreplytotest
    filteractionreplytotest.cpp
    filteractionreplytotest.h
    ../filteractions/filteractionreplyto.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionwithurltest
    filteractionwithurltest.cpp
    filteractionwithurltest.h
    ../filteractions/filteractionwithurl.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionremoveheadertest
    filteractionremoveheadertest.cpp
    filteractionremoveheadertest.h
    ../filteractions/filteractionremoveheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionwithaddresstest
    filteractionwithaddresstest.cpp
    filteractionwithaddresstest.h
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_akonadi_test(filteractionaddtoaddressbooktest.cpp
    filteractionaddtoaddressbooktest.cpp
    filteractionaddtoaddressbooktest.h
    ../filteractions/filteractionaddtoaddressbook.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionplaysoundtest
    filteractionplaysoundtest.cpp
    filteractionplaysoundtest.h
    ../filteractions/filteractionplaysound.cpp
    ../filteractions/filteractionwithtest.cpp
    ../filteractions/filteractionplaysound.cpp
    ../soundtestwidget.cpp
    ../dialog/filteractionmissingsoundurldialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterdialogtest
    invalidfilterdialogtest.cpp
    invalidfilterdialogtest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterwidgettest
    invalidfilterwidgettest.cpp
    invalidfilterwidgettest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterlistwidgettest
    invalidfilterlistwidgettest.cpp
    invalidfilterlistwidgettest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionunsetstatustest
    filteractionunsetstatustest.cpp
    filteractionunsetstatustest.h
    ../filteractions/filteractionunsetstatus.cpp
    ../filteractions/filteractionstatus.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionredirecttest
    filteractionredirecttest.cpp
    filteractionredirecttest.h
    ../filteractions/filteractionredirect.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterinfotest
    invalidfilterinfotest.cpp
    invalidfilterinfotest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsendfakedispositiontest
    filteractionsendfakedispositiontest.cpp
    filteractionsendfakedispositiontest.h
    ../filteractions/filteractionsendfakedisposition.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionforwardtest
    filteractionforwardtest.cpp
    filteractionforwardtest.h
    ../filteractions/filteractionforward.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ../dialog/filteractionmissingtemplatedialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterinfowidgettest
    invalidfilterinfowidgettest.cpp
    invalidfilterinfowidgettest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractioncopytest
    filteractioncopytest.cpp
    filteractioncopytest.h
    ../filteractions/filteractioncopy.cpp
    ../filteractions/filteractionwithfolder.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionmovetest
    filteractionmovetest.cpp
    filteractionmovetest.h
    ../filteractions/filteractionmove.cpp
    ../filteractions/filteractionwithfolder.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionexectest
    filteractionexectest.cpp
    filteractionexectest.h
    ../filteractions/filteractionexec.cpp
    ../filteractions/filteractionwithcommand.cpp
    ../filteractions/filteractionwithurl.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsendreceipttest
    filteractionsendreceipttest.cpp
    filteractionsendreceipttest.h
    ../filteractions/filteractionsendreceipt.cpp
    ../filteractions/filteractionwithnone.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsettransporttest
    filteractionsettransporttest.cpp
    filteractionsettransporttest.h
    ../filteractions/filteractionsettransport.cpp
    ../dialog/filteractionmissingtransportdialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filterconverttosieveresultdialog
    filterconverttosieveresultdialogtest.cpp
    filterconverttosieveresultdialogtest.h
    ../filterconverter/filterconverttosieveresultdialog.cpp
    ../filterconverter/filterconverttosievepurposemenuwidget.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(mailfiltertest
    mailfiltertest.cpp
    mailfiltertest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionmissingsoundurldialogtest
    filteractionmissingsoundurldialogtest.cpp
    filteractionmissingsoundurldialogtest.h
    ../dialog/filteractionmissingsoundurldialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtemplatedialogtest
    filteractionmissingtemplatedialogtest.cpp
    filteractionmissingtemplatedialogtest.h
    ../dialog/filteractionmissingtemplatedialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtransportdialogtest
    filteractionmissingtransportdialogtest.cpp
    filteractionmissingtransportdialogtest.h
    ../dialog/filteractionmissingtransportdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingaccountdialogtest
    filteractionmissingaccountdialogtest.cpp
    filteractionmissingaccountdialogtest.h
    ../dialog/filteractionmissingaccountdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtagdialogtest
    filteractionmissingtagdialogtest.cpp
    filteractionmissingtagdialogtest.h
    ../dialog/filteractionmissingtagdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingidentitydialogtest
    filteractionmissingidentitydialogtest.cpp
    filteractionmissingidentitydialogtest.h
    ../dialog/filteractionmissingidentitydialog.cpp
    ../../../autotests/dummykernel.cpp
    )

add_mailcommon_filter_test(filterimporterpathcachetest
    filterimporterpathcachetest.cpp
    filterimporterpathcachetest.h
    )

=== src/filter/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(filterimporterexportergui filterimporterexportergui.cpp filterimporterexportergui.h)
ecm_mark_as_test(filterimporterexportergui)
target_link_libraries(filterimporterexportergui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
)

add_executable(invalidfilterdialoggui invalidfilterdialoggui.cpp)
ecm_mark_as_test(invalidfilterdialoggui)
target_link_libraries(invalidfilterdialoggui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
)

add_executable(kmfilterdialogtestgui kmfilterdialogtestgui.cpp ../../../autotests/dummykernel.cpp kmfilterdialogtestgui.h)
ecm_mark_as_test(kmfilterdialogtestgui)
target_link_libraries(kmfilterdialogtestgui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
)

add_executable(filteractionmissingsoundurldialogui filteractionmissingsoundurldialogui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingsoundurldialog.cpp)
ecm_mark_as_test(filteractionmissingsoundurldialogui)
target_link_libraries(filteractionmissingsoundurldialogui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::KIOWidgets
)

add_executable(filteractionmissingtemplatedialoggui filteractionmissingtemplatedialoggui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingtemplatedialog.cpp)
ecm_mark_as_test(filteractionmissingtemplatedialoggui)
target_link_libraries(filteractionmissingtemplatedialoggui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::Completion
)

add_executable(filteractionmissingtransportdialoggui filteractionmissingtransportdialoggui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingtransportdialog.cpp)
ecm_mark_as_test(filteractionmissingtransportdialoggui)
target_link_libraries(filteractionmissingtransportdialoggui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::Completion
  KPim${KF_MAJOR_VERSION}::MailTransport
)

add_executable(filteractionmissingaccountdialoggui filteractionmissingaccountdialoggui.cpp ../../../autotests/dummykernel.cpp  ../dialog/filteractionmissingaccountdialog.cpp)
ecm_mark_as_test(filteractionmissingaccountdialoggui)
target_link_libraries(filteractionmissingaccountdialoggui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::Completion
)

add_executable(filteractionmissingtagdialoggui filteractionmissingtagdialoggui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingtagdialog.cpp)
ecm_mark_as_test(filteractionmissingtagdialoggui)
target_link_libraries(filteractionmissingtagdialoggui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::Completion
)

add_executable(filteractionmissingidentitydialoggui filteractionmissingidentitydialoggui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingidentitydialog.cpp)
ecm_mark_as_test(filteractionmissingidentitydialoggui)
target_link_libraries(filteractionmissingidentitydialoggui
  Qt::Core
  Qt::Gui
  KPim${KF_MAJOR_VERSION}::MailCommon
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::Completion
)

=== debian/changelog ===
libkf5mailcommon (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:08:45 +0000

libkf5mailcommon (4:23.08.5-0ubuntu3) noble; urgency=high

  * No change rebuild against libkpim5messagecomposer5t64,
    libkpim5messagecore5t64, libkpim5messagelist5t64,
    libkpim5messageviewer5t64, libkpim5templateparser5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:15:48 +0100

libkf5mailcommon (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:37:29 +0000

libkf5mailcommon (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:26:10 -0700

=== debian/control ===
--- 
+++ 
@@ -9,30 +9,30 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadimime-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadimime-dev (>= 4:23.08.5~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.4~),
-               libkf5grantleetheme-dev (>= 23.08.4~),
+               libkf5contacteditor-dev (>= 4:23.08.5~),
+               libkf5grantleetheme-dev (>= 23.08.5~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 23.08.4~),
-               libkf5libkdepim-dev (>= 4:23.08.4~),
-               libkf5mailimporter-dev (>= 4:23.08.4~),
-               libkf5mailtransport-dev (>= 23.08.4~),
-               libkf5messagecomposer-dev (>= 4:23.08.4~),
-               libkf5messagecore-dev (>= 4:23.08.4~),
-               libkf5messagelist-dev (>= 4:23.08.4~),
-               libkf5messageviewer-dev (>= 4:23.08.4~),
-               libkf5mime-dev (>= 23.08.4~),
-               libkf5mimetreeparser-dev (>= 4:23.08.4~),
-               libkf5pimcommon-dev (>= 4:23.08.4~),
+               libkf5ldap-dev (>= 23.08.5~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5mailimporter-dev (>= 4:23.08.5~),
+               libkf5mailtransport-dev (>= 23.08.5~),
+               libkf5messagecomposer-dev (>= 4:23.08.5~),
+               libkf5messagecore-dev (>= 4:23.08.5~),
+               libkf5messagelist-dev (>= 4:23.08.5~),
+               libkf5messageviewer-dev (>= 4:23.08.5~),
+               libkf5mime-dev (>= 23.08.5~),
+               libkf5mimetreeparser-dev (>= 4:23.08.5~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.4~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.4~),
+               libkf5webengineviewer-dev (>= 4:23.08.5~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -50,15 +50,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.4~),
-         libkf5akonadimime-dev (>= 4:23.08.4~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
+         libkf5akonadimime-dev (>= 4:23.08.5~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:23.08.4~),
-         libkf5messagecomposer-dev (>= 4:23.08.4~),
-         libkf5messagecore-dev (>= 4:23.08.4~),
-         libkf5messageviewer-dev (>= 4:23.08.4~),
-         libkf5mimetreeparser-dev (>= 4:23.08.4~),
-         libkf5pimcommon-dev (>= 4:23.08.4~),
+         libkf5libkdepim-dev (>= 4:23.08.5~),
+         libkf5messagecomposer-dev (>= 4:23.08.5~),
+         libkf5messagecore-dev (>= 4:23.08.5~),
+         libkf5messageviewer-dev (>= 4:23.08.5~),
+         libkf5mimetreeparser-dev (>= 4:23.08.5~),
+         libkf5pimcommon-dev (>= 4:23.08.5~),
          libkpim5mailcommon5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "libkf5mailcommon-plugins, $${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dbus-run-session -- dh_auto_test --no-parallel
